package com.cloudwords.api.client.resources;

public class PagedQuery {
    public enum SortOrder {
        ASC,
        DESC;
        
        @Override
        public String toString()    {
            return name().toLowerCase();
        }
    }

    private Integer limit;
    private Integer offset;
    private String sortBy;
    private SortOrder sortOrder;

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public String getSortBy() {
        return sortBy;
    }

    public void setSortBy(String sortBy) {
        this.sortBy = sortBy;
    }

    public SortOrder getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(SortOrder sortOrder) {
        this.sortOrder = sortOrder;
    }
}
